com.r3corda.protocols / FetchDataProtocol / Request

# Request

`data class Request : PartyRequestMessage`

### Constructors

<init> | `Request(hashes: List<SecureHash>, replyToParty: Party, sessionID: Long)`

### Properties

hashes | `val hashes: List<SecureHash>`
replyToParty | `val replyToParty: Party`
sessionID | `val sessionID: Long`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`